summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorPatrick McDermott <patrick.mcdermott@libiquity.com>2020-12-21 14:25:02 (EST)
committer Patrick McDermott <patrick.mcdermott@libiquity.com>2020-12-21 14:32:19 (EST)
commita9724b1e228c9ed8211b030a2012f6d2249220db (patch)
treed912d3a1437d536db764947c0ed67054e82d440b
parent2902641342e0869c827e9ac508de1068739afeb0 (diff)
oh-shlibdeps: Arch-qualify just-built packages
-rw-r--r--NEWS2
-rw-r--r--src/oh-shlibdeps.sh6
2 files changed, 7 insertions, 1 deletions
diff --git a/NEWS b/NEWS
index 378f79c..893838c 100644
--- a/NEWS
+++ b/NEWS
@@ -4,6 +4,8 @@ opkhelper version 3.1.3+dev
Released: ????-??-??
* libopkbuild is now a required dependency.
+ * oh-shlibdeps now architecture-qualifies names of just-built packages
+ when appropriate (as determined by libopkbuild).
* oh-shlibdeps no longer overwrites the contents of existing substvars
files.
diff --git a/src/oh-shlibdeps.sh b/src/oh-shlibdeps.sh
index 92d3c5d..2edb275 100644
--- a/src/oh-shlibdeps.sh
+++ b/src/oh-shlibdeps.sh
@@ -20,6 +20,7 @@
# along with this program. If not, see <http://www.gnu.org/licenses/>.
. '@pkgdatadir@/load.sm'
+. '@LIBOPKBUILD@'
READELF_NEEDED_SED='s/^ 0x[0-9a-f]* (NEEDED) *Shared library: \[\(.*\)\]$/\1/p'
@@ -41,7 +42,9 @@ find_lib()
for pkg in *.data/; do
for dir in ${rtld_dirs}; do
if [ -r "${pkg}/${dir}/${lib}" ]; then
- printf '%s,\n' "${pkg%.data/}"
+ pkg="$(ob_qualify_package_name "${pkg%.data/}" \
+ "${OPK_HOST_ARCH}")"
+ printf '%s,\n' "${pkg}"
return 0
fi
done
@@ -104,6 +107,7 @@ main()
local d=
oh_init
+ ob_init_package '..' || return 1
for d in *.data/; do
exec 3>>"${d%.data/}.substvars"